ranges::ostream_joiner< Delim, Char, Traits > Struct Template Reference
Iterator

## Public Types

using | char_type = Char
using | difference_type = std::ptrdiff_t
using | ostream_type = std::basic_ostream< Char, Traits >
using | traits_type = Traits

## Public Member Functions

ostream_joiner & | operator* () noexcept
ostream_joiner & | operator++ () noexcept
ostream_joiner & | operator++ (int) noexcept
template<typename T >
ostream_joiner & | operator= (T const &value)
| ostream_joiner (ostream_type &s, Delim const &d)
| ostream_joiner (ostream_type &s, Delim &&d)